Subject: Re: Workaround for USB DMA bugs

From: Dan Malek <[email-masked]>
Date: Thu, 04 Apr 2002 01:08:41 -0500

David Gibson wrote:

> Possibly a better approach would be to make the consistent_sync()
> function be more careful and flush rather than invalidate cachelines

That's basically what this patch does, with the overhead of always
writing instead of just invalidating.  We just went the whole circle
here, as this isn't a logically correct solution :-).

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/